
class Timer
  def initialize
    reset
  end
  def reset
    @time_started = Time.now
  end

public

  def time_elapsed
    time_running = Time.now - @time_started
    h = time_running.to_i / 3600
    m = (time_running.to_i % 3600) / 60
    s = time_running.to_i % 60
    return sprintf("%02i:%02i:%02i", h, m, s)
  end
  
  def print_time
    time_running = Time.now - @time_started
    h = time_running.to_i / 3600
    m = (time_running.to_i % 3600) / 60
    s = time_running.to_i % 60
    printf("%02i:%02i:%02i\n", h, m, s)  
  end
end

